Bug 7782 - в разборе url съдается апостроф
: в разборе url съдается апостроф
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xchat)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 8880
:
  Show dependency tree
 
Reported: 2005-08-29 15:06 by
Modified: 2013-08-15 19:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-29 15:06:50
Если в url встречается символ апострофа "'", то правой кнопке мыши "send url 
to -> konqueror" он просто исчезает. Снова по правой кнопке "копировать url", 
копирует полностью. 
Steps to Reproduce:
1. на любом сервере, любом канале пишем сообщение 
"http://www.freesource.info/wiki/WINE/Neobxodimost'Hasp", без кавычек 
2. в меню по правой кнопке мыши на этой ссылке "send url to" -> konqueror 
3. получаем "http://www.freesource.info/wiki/WINE/NeobxodimostHasp"
------- Comment #1 From 2005-09-15 17:51:08 -------
Дополнение: в ссылке http://www."ru так же пропадает и кавычка. 
xchat-2.4.3-alt1 
------- Comment #2 From 2005-09-23 17:43:55 -------
Скобки тоже не считаются за часть ссылки. 
------- Comment #3 From 2006-01-20 08:31:24 -------
2.6.1: апострофы и кавычки ловятся, скобки нет.
------- Comment #4 From 2006-02-09 21:35:46 -------
2.6.1-alt1
------- Comment #5 From 2006-03-13 12:58:03 -------
Сам url при выделении ловится, но передача браузеру адреса опять же без этих 
символов. 
------- Comment #6 From 2007-06-24 14:08:51 -------
Имею xchat-2.6.6-alt1.1, с seamonkey бага актуальна (это не бага какого urlview
случайно?).

На дворе тем временем 2.8.3e, пакет явно unmaintained.
------- Comment #7 From 2007-06-24 14:45:53 -------
Эээ... линуксовый -- 2.8.2.

xchat-2.8.2-alt1.src.rpm направлен в /incoming/Daedalus/, у меня работает.
------- Comment #8 From 2008-03-15 14:52:43 -------
2.8.4:
апострофы ловятся и передаются; кавычки ловятся, но не передаются; скобки не
ловятся.
pld'шные патчи ещё не прикладывал, но в них не наблюдаю ничего на эту тему.
------- Comment #9 From 2008-03-15 14:53:47 -------
taken
------- Comment #10 From 2013-08-15 19:17:45 -------
apparently wontfix (need to bother upstream if any)